Bug 871023 - Review Request: glassfish-policy - GlassFish WS-Policy implementation
Summary: Review Request: glassfish-policy - GlassFish WS-Policy implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 870977
TreeView+ depends on / blocked
 
Reported: 2012-10-29 12:24 UTC by gil cattaneo
Modified: 2013-05-27 00:31 UTC (History)
4 users (show)

Fixed In Version: glassfish-policy-2.3.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-26 03:38:05 UTC
tcallawa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-10-29 12:24:25 UTC
Spec URL: http://gil.fedorapeople.org/glassfish-policy.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-policy-2.3.1-1.fc16.src.rpm
Description: The policy project provides the WS-Policy implementation
for Project Metro.
Fedora Account System Username: gil

Comment 2 Tom "spot" Callaway 2013-05-16 18:41:46 UTC
= Review =

Good:

- rpmlint checks return:

glassfish-policy.src: W: invalid-url Source0: policy-2.3.1-src-svn.tar.gz

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (CDDL or GPLv2 with exceptions) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual diff okay, svn source)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- -javadocs ok
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED

Comment 3 gil cattaneo 2013-05-16 18:58:24 UTC
Thanks! for the review

New Package SCM Request
=======================
Package Name: glassfish-policy
Short Description: GlassFish WS-Policy implementation
Owners: gil
Branches: f18 f19
InitialCC: java-sig

Comment 4 Gwyn Ciesla 2013-05-16 19:22:55 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-05-16 20:38:26 UTC
glassfish-policy-2.3.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glassfish-policy-2.3.1-1.fc19

Comment 6 Fedora Update System 2013-05-16 20:55:59 UTC
glassfish-policy-2.3.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glassfish-policy-2.3.1-1.fc18

Comment 7 Fedora Update System 2013-05-17 22:20:15 UTC
glassfish-policy-2.3.1-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 8 Fedora Update System 2013-05-26 03:38:05 UTC
glassfish-policy-2.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 9 Fedora Update System 2013-05-27 00:31:05 UTC
glassfish-policy-2.3.1-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.